List endpoint access keys
curl --request GET \
--url https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "4c1de9c4-8d6c-4b32-8413-42e0b070d5d4",
"name": "bucket-admin-key",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"identityPolicy": "bucket-admin",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE"
}
},
{
"metadata": {
"id": "7cb6c743-9e2d-4e98-a201-2c2c3c712f4c",
"name": "bucket-readonly-key",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:12:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"identityPolicy": "bucket-readonly",
"accessKeyId": "AKIAIOSFODNN7EXAMPL2"
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Object storage
List endpoint access keys
Returns the access keys associated with the specified object storage endpoint. Each access key includes only its identity policy name and access key identifier.
GET
/
api
/
v1
/
objectstorageendpoints
/
{objectStorageEndpointID}
/
accesskeys
List endpoint access keys
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
The object storage endpoint unique identifier. A Kubernetes name. Must be a valid DNS containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.
Required string length:
1 - 63Was this page helpful?
⌘I